CREATE TABLE cst_sales_credits_errors (
    SALES_CREDIT_ERROR_ID        NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240)     NOT NULL,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(1800)    NOT NULL,
    INV_TRANSACTION_ID           NUMBER(18, 0) ,
    SALESPERSON_ID               NUMBER(18, 0)     NOT NULL,
    HEADER_ID                    NUMBER(18, 0)     NOT NULL,
    LINE_ID                      NUMBER(18, 0) ,
    CREDIT_PERCENTAGE            NUMBER            NOT NULL,
    ERROR_MESSAGE                VARCHAR2(240) ,
    ERROR_STATUS                 VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    SALES_CREDIT_ERROR_ID        NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240)     NOT NULL,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(1800)    NOT NULL,
    INV_TRANSACTION_ID           NUMBER(18, 0) ,
    SALESPERSON_ID               NUMBER(18, 0)     NOT NULL,
    HEADER_ID                    NUMBER(18, 0)     NOT NULL,
    LINE_ID                      NUMBER(18, 0) ,
    CREDIT_PERCENTAGE            NUMBER            NOT NULL,
    ERROR_MESSAGE                VARCHAR2(240) ,
    ERROR_STATUS                 VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    CONSTRAINT pk_cst_sales_credits_errors PRIMARY KEY (SALES_CREDIT_ERROR_ID, SALES_CREDIT_ERROR_ID)
);
